# Asterisk Project : Asterisk 13 Function_REPLACE

Created by wikibot on Aug 08, 2014

# REPLACE()

### Synopsis

Replace a set of characters in a given string with another character.

### Description

Iterates through a string replacing all the find-chars with replace-char. replace-char may be either empty or contain one character. If empty, all find-chars will be deleted from the output.

Note

Icon

The replacement only occurs in the output. The original variable is not altered.

### Syntax

    REPLACE(varname,find-chars[,replace-char])

##### Arguments

- `varname`
- `find-chars`
- `replace-char`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538